org.apache.xml.utils

## Class DefaultErrorHandler

- java.lang.Object
- - org.apache.xml.utils.DefaultErrorHandler

All Implemented Interfaces:
  ErrorListener, ErrorHandler

    public class DefaultErrorHandler
    extends java.lang.Object
    implements ErrorHandler, ErrorListener

Implement SAX error handler for default reporting.

Usage:

### Constructor Summary

Constructors
Constructor and Description
`DefaultErrorHandler()` Constructor DefaultErrorHandler
`DefaultErrorHandler(boolean throwExceptionOnError)` Constructor DefaultErrorHandler
`DefaultErrorHandler(java.io.PrintStream pw)` Constructor DefaultErrorHandler
`DefaultErrorHandler(java.io.PrintWriter pw)` Constructor DefaultErrorHandler

### Method Summary

Methods
`static void` `ensureLocationSet(TransformerException exception)`
`void` `error(SAXParseException exception)` Receive notification of a recoverable error.
`void` `error(TransformerException exception)` Receive notification of a recoverable error.
`void` `fatalError(SAXParseException exception)` Receive notification of a non-recoverable error.
`void` `fatalError(TransformerException exception)` Receive notification of a non-recoverable error.
`java.io.PrintWriter` `getErrorWriter()` Retrieve `java.io.PrintWriter` to which errors are being directed.
`static void` `printLocation(java.io.PrintStream pw, SAXParseException exception)`
`static void` `printLocation(java.io.PrintStream pw, TransformerException exception)`
`static void` `printLocation(java.io.PrintWriter pw, java.lang.Throwable exception)`
`void` `warning(SAXParseException exception)` Receive notification of a warning.
`void` `warning(TransformerException exception)` Receive notification of a warning.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintWriter pw)

Constructor DefaultErrorHandler

#### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintStream pw)

Constructor DefaultErrorHandler

#### DefaultErrorHandler

    public DefaultErrorHandler()

Constructor DefaultErrorHandler

#### DefaultErrorHandler

    public DefaultErrorHandler(boolean throwExceptionOnError)

Constructor DefaultErrorHandler

### Method Detail

#### getErrorWriter

    public java.io.PrintWriter getErrorWriter()

Retrieve `java.io.PrintWriter` to which errors are being directed.

Returns:
  The `PrintWriter` installed via the constructor or the default `PrintWriter`

#### warning

    public void warning(SAXParseException exception)
                 throws SAXException

Receive notification of a warning.

SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

Specified by:
  `warning` in interface `ErrorHandler`
Parameters:
  `exception` - The warning information encapsulated in a SAX parse exception.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `SAXParseException`

#### error

    public void error(SAXParseException exception)
               throws SAXException

Receive notification of a recoverable error.

This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.

Specified by:
  `error` in interface `ErrorHandler`
Parameters:
  `exception` - The error information encapsulated in a SAX parse exception.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `SAXParseException`

#### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

Receive notification of a non-recoverable error.

This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

Specified by:
  `fatalError` in interface `ErrorHandler`
Parameters:
  `exception` - The error information encapsulated in a SAX parse exception.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `SAXParseException`

#### warning

    public void warning(TransformerException exception)
                 throws TransformerException

Receive notification of a warning.

SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

Specified by:
  `warning` in interface `ErrorListener`
Parameters:
  `exception` - The warning information encapsulated in a SAX parse exception.
Throws:
  `TransformerException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `TransformerException`

#### error

    public void error(TransformerException exception)
               throws TransformerException

Receive notification of a recoverable error.

This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.

Specified by:
  `error` in interface `ErrorListener`
Parameters:
  `exception` - The error information encapsulated in a SAX parse exception.
Throws:
  `TransformerException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `TransformerException`

#### fatalError

    public void fatalError(TransformerException exception)
                    throws TransformerException

Receive notification of a non-recoverable error.

This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

Specified by:
  `fatalError` in interface `ErrorListener`
Parameters:
  `exception` - The error information encapsulated in a SAX parse exception.
Throws:
  `TransformerException` - Any SAX exception, possibly wrapping another exception.
See Also:
  `TransformerException`

#### ensureLocationSet

    public static void ensureLocationSet(TransformerException exception)

#### printLocation

    public static void printLocation(java.io.PrintStream pw,
                     TransformerException exception)

#### printLocation

    public static void printLocation(java.io.PrintStream pw,
                     SAXParseException exception)

#### printLocation

    public static void printLocation(java.io.PrintWriter pw,
                     java.lang.Throwable exception)